#!/bin/bash

start() {
    if grep docker /proc/1/cgroup -qa; then
       /opt/microsoft/mlserver/9.3.0/o16n/startAll.sh
    else
       if [[ -f /etc/issue && $(cat /etc/issue) == "Ubuntu 14.04"* ]]; then
           service rserve start
       else
           systemctl start rserve
       fi
    fi
}
stop() {
    if grep docker /proc/1/cgroup -qa; then
      /opt/microsoft/mlserver/9.3.0/o16n/stopAll.sh
    else
       if [[ -f /etc/issue && $(cat /etc/issue) == "Ubuntu 14.04"* ]]; then
           service rserve stop
       else
           systemctl stop rserve
       fi
    fi
}

case "$1" in
start)
        start
;;

stop)
        stop
        ;;

restart)
        echo "stopping rserve"
        stop
        sleep 2
        echo "starting rserve"
        start
;;
esac

exit 0
